#
# Copyright (c) 2013-2023 NIBIO.
#
# This file is part of VIPSWeb 
# (see https://gitlab.nibio.no/VIPS/VIPSWeb).
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as
# published by the Free Software Foundation, either version 3 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
#
from django.shortcuts import render

# Create your views here.

def nutrition(request):
    context = { "form_id" : "roughageNutrition"}
    return render(request, "roughage/nutrition.html", context)

def nutrition_calibration(request):
    timothy_table = [
        ["V0","1.000"],
        ["V1","1.070"],
        ["V2","1.230"],
        ["V3","1.400"],
        ["V4","1.570"],
        ["V5","1.730"],
        ["V6","1.900"],
        ["E1","2.150"],
        ["E2","2.400"],
        ["E3","2.650"],
        ["E4","2.900"],
        ["R0","3.000"],
        ["R1","3.100"],
        ["R2","3.300"],
        ["R3","3.500"],
        ["R4","3.700"]
    ]
    ryegrass_table = [
        ["V0","1.000"],
        ["V1","1.230"],
        ["V2","1.570"],
        ["V3","1.900"],
        ["E0","2.000"],
        ["E1","2.230"],
        ["E2","2.570"],
        ["E3","2.900"],
        ["R0","3.000"],
        ["R1","3.100"],
        ["R2","3.300"],
        ["R3","3.500"]
    ]
    
    ryegrass = True if request.GET.get("grastype", None) != None and request.GET["grastype"] == "raigras" else False
    
    context = {
        "ryegrass": ryegrass,
        "grass_table" : ryegrass_table if ryegrass else timothy_table
        }
    return render(request, "roughage/nutrition_calibration.html", context)
